KDE 4.2 PyKDE API Reference

- KDE's Python API

# Visualization Class Reference

`from PyKDE4.phonon import *`

Inherits: QObject,Phonon.MediaNode
Namespace: Phonon::Experimental

## Detailed Description

A class to create visual effects from an audio signal.

This class is used to define how an audio signal from an AudioPath object should be visualized. What visualization effects are available depends solely on the backend. You can list the available visualization effects using BackendCapabilities.availableVisualizationEffects().

The following example code takes the first effect from the list and uses that to display a visualization on a new VideoWidget.

     QList<VisualizationDescription> list = BackendCapabilities.availableVisualizationEffects();
     if (list.size() > 0)
     {
       VideoWidget *visWidget = new VideoWidget(parent);
       Visualization *vis = new Visualization(visWidget);
       vis->setAudioPath(audioPath);
       vis->setVideoOutput(visWidget);
       vis->setVisualization(list.first());
     }

Author:
  Matthias Kretz <kretz@kde.org>

See also:
  AudioDataOutput

See also:
  BackendCapabilities.availableVisualizationEffects()

## Methods

| setVisualization (self, Phonon.Experimental.VisualizationDescription newVisualization)
Phonon.Experimental.VisualizationDescription | visualization (self)

## Method Documentation

setVisualization | ( | self, |
|  | Phonon.Experimental.VisualizationDescription | newVisualization
| ) |  |  |

Phonon.Experimental.VisualizationDescription visualization | ( |  | self ) |